
QGIS Application - Bug report #3548

CRS defaults not sticking

2011-03-06 09:18 AM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13608

Description

When I set the default CRS, the OTF default project CRS, or the CRS in the project properties, it does not stick. For me, I am trying to use

epsg 26911, but it keeps reverting to epsg 2153 for each of those options.

History

#1 - 2011-03-06 09:27 AM - Borys Jurgiel

I believe it's due to commit:83982440 (SVN r15362). The crs definitions are now considered the same, so qgis takes the first one:

+proj=utm +zone=11 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs

+proj=utm +zone=11 +ellps=GRS80 +datum=NAD83 +units=m +no_defs

#2 - 2011-03-06 09:37 AM - John Tull

It would be nice if the epsg code would be respected. Seeing a deprecated crs selected is confusing.

#3 - 2011-03-15 05:33 AM - Borys Jurgiel

It should be ok now

#4 - 2011-03-15 05:33 AM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Open to Closed
